Loading...
Searching...
No Matches
Catch::BenchmarkStats< Dummy > Struct Template Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::BenchmarkStats< Dummy >:
[legend]

## Public Attributes

BenchmarkInfo | info
std::vector< Benchmark::FDuration > | samples
Benchmark::Estimate< Benchmark::FDuration > | mean
Benchmark::Estimate< Benchmark::FDuration > | standardDeviation
Benchmark::OutlierClassification | outliers
double | outlierVariance

## Member Data Documentation

## info

template<class Dummy>

BenchmarkInfo Catch::BenchmarkStats< Dummy >::info

## mean

template<class Dummy>

Benchmark::Estimate<Benchmark::FDuration> Catch::BenchmarkStats< Dummy >::mean

## outliers

template<class Dummy>

Benchmark::OutlierClassification Catch::BenchmarkStats< Dummy >::outliers

## outlierVariance

template<class Dummy>

double Catch::BenchmarkStats< Dummy >::outlierVariance

## samples

template<class Dummy>

std::vector<Benchmark::FDuration> Catch::BenchmarkStats< Dummy >::samples

## standardDeviation

template<class Dummy>

Benchmark::Estimate<Benchmark::FDuration> Catch::BenchmarkStats< Dummy >::standardDeviation

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp